Skip to main content

Create Resident Charge: Buildium

POSThttps://api.propexo.com/v1/resident-charges/buildium/
InterfaceMethod
Lease TransactionsPOST /leases/:leaseId/charges
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    reference_numberstring

    The reference number for the resident charge

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    descriptionstring

    Description of the resident charge

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    reference_numberstring | nullnullablerequired

    The reference number for the resident charge

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    descriptionstring | nullnullablerequired

    Description of the resident charge

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/buildium/
curl -X POST https://api.propexo.com/v1/resident-charges/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"reference_number": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string"
}
}